%define version         5.8.2
%define release         alt1
%define oldversion      5.00800
%define majver          5
%define sover           5.8

%define interp_compat_versions 5.8.0 5.6.1 5.6.0
%define binary_compat_versions 5.8.0

# main package is fake (no `perl' binary package)
Name: perl
Version: %version
Release: %release
Epoch: 1

Summary: The Perl programming language
License: GPL or Artistic
Group: Development/Perl
Url: http://www.perl.org
Packager: Alexey Tourbin <at@altlinux.ru>

Summary(de): Die Perl-Programmiersprache
Summary(ru_RU.CP1251):   Perl

BuildPreReq: libgdbm >= 1.8.1

# Automatically added by buildreq on Mon Sep 22 2003
BuildRequires: libdb2-devel libdb4.1-devel libgdbm-devel

# make test?
%def_with test

%ifarch %ix86
%define perl_arch i386
%else
%define perl_arch %_arch
%endif

%define perl_arch_os %perl_arch-%_os

# skeleton
%define privlib %_libdir/%name%majver
%define archlib %privlib/%perl_arch_os
%define autolib %archlib/auto
%define vendor_privlib %privlib/vendor_perl
%define vendor_archlib %vendor_privlib/%perl_arch_os
%define vendor_autolib %vendor_archlib/auto
%define _perl_lib_path %(eval "`%__perl -V:installarchlib`"; echo "$installarchlib"):%privlib:%archlib

######## skip some dependencies
# requires Encode on EBCDIC machines
%add_findreq_skiplist */MIME/QuotedPrint.pm
# requires additional modules
%add_findreq_skiplist */Pod/Perldoc/ToTk.pm */Pod/Perldoc/ToRtf.pm */Pod/Perldoc/ToXml.pm
# The failure for bytes_heavy.pl is normal, it's not self-contained.
# http://www.xray.mpe.mpg.de/cgi-bin/w3glimpse2html/perl5-porters/2003-06/msg00030.html
%add_findreq_skiplist */bytes_heavy.pl

# do not provide auxilary unicore libraries
%add_findprov_skiplist */unicore/lib/*.pl

# site stuff is now used for local installations
%define site_prefix /usr/local
%define site_privlib %site_prefix/lib/perl%majver/site_perl/%version
%define site_archlib %site_privlib/%perl_arch_os
%define site_autolib %site_archlib/auto
%define site_man1dir %site_prefix/man/man1
%define site_man1dir %site_prefix/man/man3

# inc_version_list is kept for local installations only
%define interp_inc_version_list %interp_compat_versions
%define binary_inc_version_list %(echo %binary_compat_versions | sed 's!\\([0-9.]\\+\\)!\\1/%perl_arch_os!g')

# ftp://ftp.cpan.org/pub/CPAN/src/
# http://ftp.funet.fi/pub/languages/perl/snap/5.8.x/
Source0: http://www.cpan.org/authors/id/N/NW/NWCLARK/perl-5.8.2.tar.bz2
Source1: perl5-deb-fixheaders.pl

######## alt/specific/misc
# don't look for extra libraries
Patch0: perl-5.8.1-alt-libswanted.patch
# don't look for Mcc, bison, byacc, csh, ksh, less, more, nroff, pg, zip
Patch1: perl-5.8.1-alt-trylist.patch
# fix the implied $(PREFIX)/man mandir in MM_Unix.pm
Patch2: perl-5.8.1-alt-MakeMaker-FHS.patch
# set SONAME for libperl.so, according to -Dlibperl=
Patch3: perl-5.8.1-alt-pld-soname.patch
# libgdbm >= 1.8.1 requires -lgdbm_compat
Patch4: perl-5.8.0-alt-new-gdbm.patch
# get rid of csh once again
Patch5: perl-5.8.1-alt-no-csh.patch
# get rid of ksh once again
Patch6: perl-5.8.1-alt-no-ksh.patch
# don't look for any previous perl installation and don't guess how we should build
Patch7: perl-5.8.1-alt-no-perl.patch
# use DB_File backend by default
Patch8: perl-5.8.1-alt-AnyDBM_File-DB_File.patch
# don't die when perldiag.pod is not available
Patch9: perl-5.8.1-alt-diagnostics.patch
# /etc/perl5 support for configuration modules (CPAN::Config, Net::Config)
Patch11: perl-5.8.1-alt-deb-etc-perl5.patch
# owner-writable permissions by default
Patch12: perl-5.8.1-alt-fix-perms.patch
# make it possible to pass UNINST=undef
Patch13: perl-5.8.1-alt-MM-uninst.patch
# various fixes to make deparse possible
Patch14: perl-5.8.2-alt-deparse.patch

######## Owl
Patch15: perl-5.8.1-alt-owl-tmp.patch
Patch16: perl-5.6.0-owl-vitmp.patch

######## RH
# use syslog instead of mail to report possible attempts to break into suidperl
Patch20: perl-5.8.1-rh-syslog.patch
# make sure we get the proper ldflags on libperl.so
Patch21: perl-5.8.0-rh-sharedlinker.patch

######## Mdk
Patch30: perl-5.8.1-alt-mdk-norootcheck.patch
Patch31: perl-5.8.0-mdk-LD_RUN_PATH-MakeMaker.patch

######## deb
# skip inexistent @INC directories when looking for docs
Patch41: perl-5.8.1-alt-deb-perldoc-INC.patch
# don't generate empty man pages for podless modules
Patch44: perl-5.8.0-deb-installman-nopod.patch

%package base
Summary: The Perl programming language (base installation)
Summary(ru_RU.CP1251):   Perl ( )
Group: Development/Perl
AutoReq: yes, nolibperl
Provides: perl-base = 0:%oldversion %_bindir/perl
Provides:  %name = 1:%version		%name-version = 1:%version
Provides:  %name = 0:%oldversion	%name-version = 0:%oldversion
Obsoletes: %name
Provides:  perl-Digest-MD5 perl-Time-HiRes perl-MIME-Base64
Obsoletes: perl-Digest-MD5 perl-Time-HiRes perl-MIME-Base64

# Text::Balanced was removed in Parse-RecDescent-1.92.
# Now we ship it within perl-base >= 5.8.1.
Conflicts: perl-Parse-RecDescent < 1.92

# in gcc-3.2.3, stddef.h includes sys/_types.h for FreeBSD >= 5
Provides: perl(sys/_types.ph)

%package i18n
Summary: Multi-language support for the Perl programming language
Summary(ru_RU.CP1251):      Perl
Group: Development/Perl
AutoReq: yes, nolibperl
PreReq: perl-base = 1:%version-%release

%package DBM
Summary: Data persistensy modules for the Perl programming language
Summary(ru_RU.CP1251):      Perl
Group: Development/Perl
AutoReq: yes, nolibperl
PreReq: perl-base = 1:%version-%release
Provides:  perl-DB_File = 1.806
Obsoletes: perl-DB_File

%package Storable
Summary: Persistence support for complex Perl data structures
Summary(ru_RU.CP1251):      Perl
Group: Development/Perl
AutoReq: yes, nolibperl
PreReq: perl-base = 1:%version-%release
Provides: perl-Storable = 2.08

%package devel
Summary: Development tools for the Perl programming language
Summary(ru_RU.CP1251):      Perl
Group: Development/Perl
Version: %version
AutoReq: yes, nolibperl
PreReq: perl-base = 1:%version-%release
# macros.d/perl5 moved to rpm-build-perl package
Requires: rpm-build-perl >= 0.1-alt2

%package suidperl
Summary: suidperl, for use with setuid perl scripts
Group: Development/Perl
AutoReq: yes, nolibperl
PreReq: perl-base = 1:%version-%release

%package pod
Summary: The Perl programming language (documentation in pod format)
Group: Development/Perl
AutoReq: yes, nolibperl
PreReq: perl-base = 1:%version

%package man1
Summary: The Perl programming language (manual pages, man1 section)
Group: Development/Perl
AutoReq: yes, nolibperl
PreReq: perl-base = 1:%version

%package man3
Summary: The Perl programming language (manual pages, man3 section)
Group: Development/Perl
AutoReq: yes, nolibperl
PreReq: perl-base = 1:%version-%release

%package full
Summary: The Perl programming language (full kit installer)
Group: Development/Perl
PreReq: perl-base perl-devel perl-i18n perl-DBM
PreReq: perl-pod perl-man1 perl-man3
PreReq: perl-libnet perl-libwww-perl
PreReq: perl(AnyDBM_File.pm) perl(DB_File.pm) perl(NDBM_File.pm)
PreReq: perl(DBI.pm) perl(DBD/mysql.pm) perl(DBD/Pg.pm)
PreReq: perl(CPAN.pm) perl(Term/ReadLine.pm) perl(Term/ReadLine/Gnu.pm)
PreReq: perl(Storable.pm) perl(CGI.pm) perl(Text/Balanced.pm)
PreReq: perl(HTML/Parser.pm) perl(XML/Parser.pm)

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications (and what it excels
at) are probably system administration utilities and web programming.
A large proportion of the CGI scripts on the web are written in Perl.

%description base
This is the base package for the Perl programming language.
It contains Perl executable, as well as all basic libraries
and modules needed for Perl to run.

%description i18n
This package contains a number of Perl modules that bring
localization and internationalization facilities, including:
+ Encode -- support for various character encodings;
+ I18N -- various internationalization-related modulues;
+ Locale -- framework for localization;
+ Unicode -- unicode (and utf8) multi-language support.

%description DBM
This package contains a number of Perl modules that bring
persistency to your data:
+ DB_File -- tied access to Berkley DB version 1.x;
+ NDBM_File -- tied access to ndbm files;
+ GDBM_File -- tied access to gdbm files;
+ SDBM_File -- tied access to sdbm files;
+ AnyDBM_File -- framework for multiple DBMs;
+ Memoize -- disk cache for reenterable functions.

%description Storable
The Storable module brings persistency to your data.

You may recursively store to disk any data structure, no matter
how complex and circular it is, provided it contains only SCALAR,
ARRAY, HASH and references to those items, blessed or not.

At a later stage, or in another program, you may retrieve data from
the stored file and recreate the same hiearchy in memory. If you
had blessed references, the retrieved references are blessed into
the same package, so you must make sure you have access to the
same perl class than the one used to create the relevant objects.

%description devel
This is the "devel" package for %name. It contains:
+ all ExtUtils modules, including MakeMaker;
+ Devel, Test and XS modules;
+ B and O (perl compiler) modules;
+ AutoSplit, ByteLoader and other development-related modules;
+ header files (including perl.h and EXTERN.h);
+ h2xs and other perl programs useful for development.

%description suidperl
suidperl is a setuid binary copy of perl that allows for (hopefully)
more secure running of setuid perl scripts.

%description pod
This package contains perl documentation in pod format (including perltoc
and perlintro).

%description man1
This package contains perl manual pages (including perltoc and perlintro).
Note that the same documentation is available in perl-pod package, via
perldoc(1) interface.

%description man3
This package contains perl manual pages for all perl-base, perl-i18n and
perl-devel modules.

%description full
This package helps you to install feature-rich perl kit.

%prep
%setup -q
#setup -q -n %name-%version-RC

# alt/specific/misc
%patch0
%patch1
%patch2
%patch3
%patch4 -p1
%patch5
%patch6
%patch7
%patch8 -p1
%patch9
%patch11
%patch12 -p1
%patch13
%patch14 -p1

# Owl
%patch15 -p1
%patch16 -p1

# RH
%patch20 -p1
%patch21 -p1

# Mdk
%patch30
%patch31 -p1

# deb
%patch41
%patch44 -p1

%build
# custom optimization
%define _optlevel s

: whether we have to clean up
[ -f config.sh ] && %make distclean ||: nope

sh Configure -de %{?!_enable_debug: -rs} \
	-Darchname=%perl_arch_os -Dd_dosuid -Ud_csh \
	-Duseshrplib -Dlibperl=libperl.so.%sover \
	-Dcc=gcc -Doptimize="%optflags" -Dlddlflags="-shared -Wl,-O1" -Dldflags="-Wl,-O1" \
	-Dinstallprefix="%buildroot%_prefix" \
	-Dprefix=%_prefix -Dprivlib=%privlib -Darchlib=%archlib \
	-Dvendorprefix=%_prefix -Dvendorlib=%vendor_privlib -Dvendorarch=%vendor_archlib \
	-Dsiteprefix=%site_prefix -Dsitelib=%site_privlib -Dsitearch=%site_archlib \
	-Dman1dir=%_man1dir -Dman3dir=%_man3dir \
	-Dcf_by='%vendor' -Dmyhostname=localhost -Dperladmin=root@localhost \
	-Dinc_version_list='%interp_inc_version_list %binary_inc_version_list' \
	-Dpager='%_bindir/less -isR' \
%ifarch sparc
	-Ud_longdbl \
%endif
	-Di_shadow -Di_syslog \
	-Dusethreads -Duseithreads \
	-Duselargefiles \
	-Di_db -Di_gdbm -Di_ndbm -Di_sdbm -Ui_odbm

# now build:
# - when CWD.so is not available, Cwd.pm falls back to readdir method that
#   scans the whole filesystem (this confuses buildreq); so build Cwd.so ASAP
# - and get rid of miniperl because it cannot load Cwd.so
# - disable rpath (implies later libperl relocation)
%make_build CCDLFLAGS=-rdynamic lib/auto/Cwd/Cwd.so lib/auto/File/Glob/Glob.so perl
%__ln_s -f perl miniperl
%make_build CCDLFLAGS=-rdynamic

# fix binares
: a2p wants extra libraries
%make -C x2p libs= clean all

# make test
%if_with test

export LD_LIBRARY_PATH=$PWD LD_PRELOAD=$PWD/libperl.so.%sover
export LD_BIND_NOW=1 PERL_DL_NONLAZY=1

# link even now to satisfy -lperl in tests
%__ln_s -f libperl.so.%sover libperl.so

# skip some tests that fail under buildreq/strace or make dependencies
%ifdef __buildreqs
files="t/io/openpid.t
t/op/alarm.t
t/op/fork.t
t/op/stat.t
t/op/taint.t
lib/diagnostics.t
lib/Pod/t/basic.t
lib/Term/Cap.t
ext/POSIX/t/waitpid.t"
%__rm -f $files
%__mv MANIFEST MANIFEST.orig
%__grep -Fv "$files" MANIFEST.orig > MANIFEST
%endif

# when /proc is not mounted, some tests fail
if [ ! -d /proc/1 ]; then
files=ext/threads/t/join
%__rm -f $files
%__mv MANIFEST MANIFEST.orig
%__grep -Fv "$files" MANIFEST.orig > MANIFEST
fi

%make_build test

# dummy
%__rm -fv lib/ExtTest.pm
%endif

%install
export LD_LIBRARY_PATH=$PWD LD_PRELOAD=$PWD/libperl.so.%sover
export PERL5LIB=$PWD/lib PERL=$PWD/perl

%makeinstall UNINST=undef
$PERL -pi -e "s,%buildroot,,g" %buildroot%archlib/Config.pm
$PERL -pi -e "s/,-rpath,[^\s,'\"]+//g && s/\s*-Wl(?!,)//g" %buildroot%archlib/Config.pm
$PERL -pi -e 's,/usr/local/bin/perl,%_bindir/perl,' %buildroot%privlib/ExtUtils/instmodsh
%__ln_s -f perl%majver %buildroot%_bindir/perl
%__ln_s -f perl%version %buildroot%_bindir/perl%majver
%__ln_s -f sperl%version %buildroot%_bindir/suidperl

# skeleton
mkdir -p \
	%buildroot%vendor_privlib	\
	%buildroot%vendor_privlib/auto	\
	%buildroot%vendor_archlib	\
	%buildroot%vendor_autolib	\
	%buildroot%vendor_autolib	\
	%buildroot%_sysconfdir/%name%majver

# relocate libperl.so.%sover
%__mkdir_p %buildroot%_libdir
%__mv %buildroot%archlib/CORE/libperl.so.%sover %buildroot%_libdir/
%__ln_s -f libperl.so.%sover %buildroot%_libdir/libperl.so

# Generate *.ph files with a trick. Is this sick or what?
# Switch to the debian way (pre-defined list of headers, recursively expanded by h2ph).
# Note: fails on machine/ansi.h, so discard the return value.
$PERL %buildroot%_bindir/h2ph -a -d %buildroot%archlib \
	syscall.h \
	sys/syscall.h \
	syslog.h \
	sys/syslog.h \
	sys/ioctl.h \
	sys/resource.h \
	asm/termios.h \
	linux/modsetver.h \
	syslimits.h \
	sys/socket.h \
	sys/time.h \
	wait.h \
||: machine/ansi.h failed
#PERL %SOURCE1 %buildroot%archlib

# strip junk comments (generated automatically)
find %buildroot%privlib -type f '(' -name '*.al' -o -name '*.ix' ')' \
	-exec $PERL -ni -e 'print unless /^#/' {} ';'

# remove modules and man pages for which we have separate packages
: without CGI
%__rm -rfv %buildroot{%privlib,%_man3dir}/CGI*

: without CPAN
%__rm -rfv %buildroot{%privlib,%_bindir,%_man1dir,%_man3dir}/{CPAN,cpan}*

: without Term::ReadLine, which is in perl-Term-ReadLine-Gnu package
%__rm -rfv %buildroot{%privlib/Term/,%_man3dir/Term::}ReadLine*

: without libnet
%__rm -rfv %buildroot{%privlib/Net/,%_bindir/,%_man3dir/Net::}{*libnet,Cmd,Config,demos,Domain,FTP,Hostname,NNTP,Netrc,POP3,SMTP,Time}*

%post base
%post_ldconfig

%postun base
%postun_ldconfig

%files base
%doc	Artistic README README.Y2K
	%_bindir/perl
	%_bindir/perl%majver
	%_bindir/perl%version
	%_bindir/perldoc
	%_bindir/pod2html
	%_bindir/pod2latex
	%_bindir/pod2man
	%_bindir/pod2text
	%_bindir/pod2usage
	%_bindir/h2ph
	%attr(0755,root,root) %_libdir/libperl.so.%sover
# skeleton
%dir	%privlib
%dir	%privlib/auto
%dir	%archlib
%dir	%autolib
%dir	%vendor_privlib
%dir	%vendor_privlib/auto
%dir	%vendor_archlib
%dir	%vendor_autolib
%dir	%_sysconfdir/%name%majver
# perl-base *.ph
%dir	%archlib/asm
%dir	%archlib/bits
%dir	%archlib/linux
%dir	%archlib/sys
%dir	%archlib/gnu
# h2ph and *.ph files are somewhat dirty, better take them by glob
	%archlib/*.ph
	%archlib/*/*.ph
# perl-base pragma
	%privlib/[a-z]*.p[lm]
	%archlib/[a-z]*.p[lm]
%exclude %privlib/charnames.pm
%exclude %archlib/encoding.pm
%exclude %privlib/open.pm
%exclude %privlib/perl5db.pl
	%autolib/re
	%autolib/attrs
	%archlib/threads
	%autolib/threads
	%privlib/warnings
# perl-base modules
	%privlib/Attribute
	%privlib/AutoLoader.pm
%dir	%archlib/B
	%archlib/B.pm
%dir	%autolib/B
	%autolib/B/B.so
	%archlib/B/Deparse.pm
	%privlib/Benchmark.pm
	%privlib/Carp*
	%archlib/Config*
	%archlib/Cwd.pm
	%autolib/Cwd
	%archlib/Data
	%autolib/Data
	%privlib/Digest.pm
	%archlib/Digest
	%autolib/Digest
	%privlib/DirHandle.pm
	%privlib/Dumpvalue.pm
	%archlib/DynaLoader.pm
	%autolib/DynaLoader
%exclude %autolib/DynaLoader/DynaLoader.a
	%privlib/English.pm
	%privlib/Env.pm
	%archlib/Errno.pm
	%privlib/Exporter*
	%privlib/Fatal.pm
	%archlib/Fcntl.pm
	%autolib/Fcntl
	%privlib/File*
	%archlib/File
	%autolib/File
	%privlib/Filter
	%archlib/Filter
	%autolib/Filter
	%privlib/FindBin.pm
	%privlib/Hash
	%privlib/Getopt
	%privlib/IO
	%archlib/IO*
	%autolib/IO
	%privlib/IPC
	%archlib/IPC
	%autolib/IPC
	%privlib/List
	%autolib/List
	%privlib/Math
	%archlib/MIME
	%autolib/MIME
%dir	%privlib/Net
	%privlib/Net/Ping*
	%privlib/Net/*ent.pm
	%privlib/NEXT*
	%archlib/O.pm
	%archlib/Opcode.pm
	%autolib/Opcode
	%privlib/PerlIO*
	%archlib/PerlIO
	%autolib/PerlIO
%exclude %archlib/PerlIO/encoding.pm
%exclude %autolib/PerlIO/encoding
	%privlib/Pod
	%privlib/auto/POSIX
	%archlib/POSIX*
	%autolib/POSIX
	%privlib/Scalar
	%privlib/Search
	%privlib/SelectSaver.pm
	%privlib/SelfLoader.pm
	%archlib/Socket.pm
	%autolib/Socket
	%privlib/Class
	%archlib/Safe.pm
	%privlib/Shell.pm
	%privlib/Switch*
	%privlib/Symbol.pm
	%archlib/Sys
	%autolib/Sys
	%privlib/Term
	%privlib/Text
	%privlib/Thread*
	%privlib/Tie
	%privlib/Time
	%archlib/Time
	%autolib/Time
	%privlib/User
%dir	%privlib/unicore
	%privlib/unicore/Canonical.pl
	%privlib/unicore/Exact.pl
	%privlib/UNIVERSAL.pm
	%archlib/XSLoader.pm
# misc
	%privlib/Win32.pod

%files i18n
	%_bindir/enc2xs
	%_bindir/piconv
# skeleton
%dir	%privlib
%dir	%archlib
%dir	%autolib
# i18n pragma
	%privlib/charnames.pm
	%privlib/open.pm
# i18n modules
	%privlib/Encode
	%archlib/Encode*
	%autolib/Encode
	%archlib/encoding.pm
	%privlib/I18N
	%archlib/I18N
	%autolib/I18N
	%privlib/Locale
%dir	%archlib/PerlIO
	%archlib/PerlIO/encoding.pm
%dir	%autolib/PerlIO
	%autolib/PerlIO/encoding
	%privlib/Unicode
	%archlib/Unicode
	%autolib/Unicode
	%privlib/unicore
%exclude %privlib/unicore/Canonical.pl
%exclude %privlib/unicore/Exact.pl

%files DBM
	%privlib/AnyDBM_File.pm
	%archlib/DB_File.pm
	%autolib/DB_File
	%privlib/Memoize*
	%archlib/NDBM_File.pm
	%autolib/NDBM_File
	%archlib/GDBM_File.pm
	%autolib/GDBM_File
	%archlib/SDBM_File.pm
	%autolib/SDBM_File
	%_man3dir/AnyDBM_File*
	%_man3dir/DB_File*
	%_man3dir/Memoize*
	%_man3dir/GDBM_File*
	%_man3dir/NDBM_File*
	%_man3dir/SDBM_File*

%files Storable
	%archlib/Storable*
	%autolib/Storable*
	%_man3dir/Storable*

%files devel
	%_bindir/a2p
	%_bindir/c2ph
	%_bindir/dprofpp
	%_bindir/find2perl
	%_bindir/h2xs
	%_bindir/perlbug
	%_bindir/perlcc
	%_bindir/perlivp
	%_bindir/pl2pm
	%_bindir/podchecker
	%_bindir/podselect
	%_bindir/psed
	%_bindir/pstruct
	%_bindir/s2p
	%_bindir/splain
	%_bindir/xsubpp
	%_libdir/libperl.so
	%privlib/perl5db.pl
%dir	%autolib/DynaLoader
	%autolib/DynaLoader/DynaLoader.a
%dir	%archlib/CORE
	%archlib/CORE/sperl.o
	%archlib/CORE/*.h
	%archlib/CORE/*.inc
# perl-devel modules
	%privlib/AutoSplit.pm
	%privlib/B
	%archlib/B
%exclude %archlib/B/Deparse.pm
	%autolib/B
%exclude %autolib/B/B.so
	%archlib/ByteLoader.pm
	%autolib/ByteLoader
	%privlib/DB.pm
	%privlib/Devel
	%archlib/Devel
	%autolib/Devel
	%privlib/ExtUtils
	%privlib/Test*
	%archlib/XS
	%autolib/XS

%files suidperl
	%attr(4711,root,root) %_bindir/sperl%version
	%_bindir/suidperl

%files pod
%doc	%privlib/pod

%files man1
	%_man1dir/*

%files man3
	%_man3dir/*
%exclude %_man3dir/AnyDBM_File*
%exclude %_man3dir/DB_File*
%exclude %_man3dir/Memoize*
%exclude %_man3dir/GDBM_File*
%exclude %_man3dir/NDBM_File*
%exclude %_man3dir/SDBM_File*
%exclude %_man3dir/Storable*

%files full

# TODO
# - updated patches to apply with -p1

%changelog
* Tue Nov 11 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.2-alt1
- 5.8.2
- perldoc-width.patch merged upstream

* Mon Oct 20 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt7
- moved to the latest snapshot (maint 21501), which fixes:
  + binary compatibility issues between 5.8.1 and 5.8.0
  + simple @INC hook core dump
  + sv.h broken with assert.h (reported and fixed by me)
- patches updated: AnyDBM_File-DB_File, libswanted

* Wed Oct 08 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt6.1.1
- p5p-21424.patch: @INC hook segfault fixed

* Sun Sep 28 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt6.1
- deb-fixheaders.pl disabled due to __need_size_t mess (#3063)

* Fri Sep 26 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt6
- perl-5.8.1 finally released, with fix-B-Deparse.patch in

* Wed Sep 24 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt5.RC5
- fix-B-Deparse.patch: matching against string fixed (#3036)

* Tue Sep 23 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt4.RC5
- 5.8.1-RC5
- MM-uninst.patch: helps to eliminate self-requires in BuildRequires
  with `buildreq --args=-bi'
- rh-syslog.patch updated
- macros.d/perl5 moved to rpm-build-perl package
- %%oldversion dropped in perl-devel package due to dist-upgrade problems

* Mon Sep 15 2003 Dmitry V. Levin <ldv@altlinux.org> 1:5.8.1-alt3.pre21050
- Relocated %autolib/B/B.so from perl-devel to perl-base.

* Fri Sep 05 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt2.pre21050
- moved to the latest snapshot (maint 21050)
- perl-Storable built now from here, not from separate source package
  (BuildRequires closure)
- O.pm moved to perl-devel for the sake of new perl.req RPM script
- descriptions updated

* Sat Aug 02 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt1.RC4
- 5.8.1-RC4 (some modules updated)
- perl-DB_File merged to perl-DBM package; no-db.patch dropped

* Thu Jul 31 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.9.RC3
- 5.8.1-RC3; some problems fixed as I reported:
  + tied values were mishandled by formats
  + B::Deparse versioning and gv_name stuff fixed, alt-B-Deparse-fixes.patch dropped
- findreq_skiplist extended

* Tue Jul 15 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.8.RC2
- 5.8.1-RC2

* Thu Jul 10 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.7.RC1
- 5.8.1-RC1
- custom optimization (-Os -Wl,-O1)

* Tue Jul 08 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.6.pre20073
- moved to the latest snapshot (maint 20014)
  + PERL_SKIP_TTY_TEST stuff was fixed as I reported
- some attrs* modules were accidentally missing
- copy-paste error in Provides fixed

* Fri Jul 04 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.5.pre19975
- moved to the latest snapshot (maint 19975)
- patches updated: libswanted, soname, norootcheck, owl-tmp
- deb-accept-addrsz.patch merged upstream
- fixed build for environments without /dev/tty
- fixed build for environments without /proc filesystem mounted
- fixed sys/_types.ph dependency stuff which comes out with new gcc

* Wed Jun 18 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.4.pre19792
- moved to the latest snapshot (maint 19792)
- alt-B-Deparse-fixes.patch (can't get comments on this from perl5-porters)
- Term/ReadLine.pm moved to perl-Term-ReadLine-Gnu package
- added support for /etc/perl5 module directory (debian)
- fix-perms.patch: owner-writable permissions by default

* Tue Jun 10 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.3.pre19733
- moved to the latest snapshot (maint 19733)
- alt-diagnostics.patch: don't die when perldiag.pod is not available
- Text::Balanced restored as it was removed in Parse-RecDescent-1.92
- owl-tmp.patch updated

* Tue Jun 03 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.2.pre19613
- moved to the latest snapshot (maint 19613); some problems fixed as I reported:
  + ftp.pl removed (along with chat2.pl)
  + B::Deparse fixes
- build dependencies clenup:
  + new patches: alt-libswanted, alt-trylist, alt-no-csh, alt-no-ksh, alt-no-perl, alt-no-db
  + build Cwd.so ASAP (Cwd.pm falls back to the method that scans the whole filesystem)
  + get rid of miniperl ASAP (miniperl cannot load Cwd.so)
  + skip some tests that fail under buildreq/strace or scan filesystem
  + buildreq applied (BuildRequires: libdb2-devel libgdbm-devel libtcb nss_tcb)
- macros.d/perl:
  + export LD_BIND_NOW=1 PERL_DL_NONLAZY=1 for 'make test'
  + more diagnostics
- fixed a2p linked against extra libraries

* Mon May 26 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.1.pre19525
- moved to the latest snapshot (maint 19525)
- revision of all patches:
  + updated: alt-MakeMaker-FHS, alt-deb-perldoc-width, alt-deb-perldoc-INC,
    alt-deb-accept-addrsz
  + needed no more (fixed): rh-pager, deb-Term-Cap-infocmp, deb-perlembed-examples,
    deb-POSIX-SigAction, deb-lib-args, deb-no-syslogd, deb-Safe
  + refused: mdk-MakeMaker-prefix (old hack, no longer supported)
- new package layout: perl -> perl-i18n, perl-DBM:
	1,7M perl-base		16K  perl-full		1,8M perl-man1
	112K perl-DBM		2,9M perl-i18n		1,3M perl-man3
	944K perl-devel		48K  perl-suidperl	1,5M perl-pod
- dropped some conditional logic, old triggers and old dependencies

* Fri Dec 27 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt1
- #0001755: %_bindir/suildperl was a hard links, this led to
  permission conflict; symlinking forced
- %%without_libnet: fixed an error in excluding libnet libraries

* Sun Dec 10 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.9
- perl-full package (helps to install feature-rich perl kit)
- moved from perl to perl-base: Sys::Syslog, Net::Ping, Net::*ent,
  Time::tm, Time::gmtime, Time::localtime, timelocal.pl, ctime.pl,
  flush.pl, stat.pl, getopt.pl, the rest of *.ph files
- deb-Safe patch (security update for Safe.pm)
- upstream patches: 17781, 17927, 18061 (RH)

* Wed Nov 06 2002 Stanislav Ievlev <inger@altlinux.ru> 1:5.8.0-alt0.8.1
- fix conflicts with perl-DB_File

* Sat Nov 05 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.8
- pager='%_bindir/less -isR'; rh-pager patch
- %%dir %vendor_privlib/auto (perl-base)
- %%perl_venodr_install macro: various fixes
- some more *.ph files moved to perl-base
- %_sysconfdir/rpm/macros.d/%name moved to perl-devel
- AnyDBM_File moved to perl-DB_File package; all *DBM_File modules left in
  perl package (perl-base now depends on glibc-core and sh packages only)
- Sisyphus release

* Thu Oct 31 2002 Stanislav Ievlev <inger@altlinux.ru> 1:5.8.0-alt0.7.1
- adaptations for new gdbm

* Fri Oct 28 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.7
- separate packages (again): perl-Parse-RecDescent, perl-Storable
- provides, obsoletes: perl-MIME-Base64 (perl-base, but
  MIME/QuotedPrint.pm is in perl because it uses Encode.pm)
- %%perl_vendor_build macro: test, smp switches added (on by default)
- %%perl_fix_local new macro: replace /usr/local/ with /usr/
- %%post/%%postun sections added (perl-base)
- libperl got soname (alt-pld-soname patch)

* Fri Oct 25 2002 Dmitry V. Levin <ldv@altlinux.org> 1:5.8.0-alt0.6.1
- Build without libperl dependency autodetection.

* Wed Oct 24 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.6
- separate packages: perl-CPAN, perl-libnet
- provides, obsoletes: perl-Digest-MD5, perl-Time-HiRes (perl-base)
- inc_version list mechanism is now partly supported -- for local
  installations only (%site_privlib)
- ultimate *dbm policy: try to include in perl-base the best one
  (according to AnyDBM_File.pm priorities; literally, this is ndbm)
- chat2.pl obsolete (yet missing) library restored from perl-5.6.1
- patch correction: mdk-MakeMaker-fhs -> alt-mdk-MakeMaker-fhs (handle
  /usr/share/man as well as /usr/local/man)
- debian perl_5.8.0-13 patches: perldoc-width, perldoc-INC,
  accept-addrsz, Term-Cap-infocmp, installman-nopod, perlembed-examples,
  POSIX-SigAction, lib-args, no-syslogd

* Tue Oct 22 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.5
- perl-pod, perl-man1 and perl-man3 subpackages
- %_sysconfdir/rpm/macros.d/%name (perl-base) -- perl-specific rpm macros
  + %%perl_vendor_{priv,arch,auto}lib, %%perl_vendor_man[13]dir
  + %%perl_vendor_{build,install}
  + %%perl_binary_compat

* Sat Oct 19 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.4
- make use of site/vendor distinction; additional perl packages
  provided by %vendor must install in %vendor_privlib
  (typical invocation: "perl Makefile.PL INSTALLDIRS=vendor");
  local installations must install in %site_privlib
- mdk-MakeMaker-prefix patch (keep paths relative to prefix)
- mdk-MakeMaker-fhs patch (fix implied $(PREFIX)/man mandir)
- %_bindir/perldoc and a bit of Pod stuff moved to perl-base
- %privlib/man/man3 -> %_man3dir
- perl-base provides perl-version (for possible future use)
- sdbm is in perl-base; gdbm and ndbm are in perl
- %%descriptions got more descriptive

* Wed Oct 16 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.3
- major rearrangement; dependency tunings
  + static %%files sections
  + some modules moved from perl to perl-base and perl-devel
  + perl and perl-devel depend on perl-base only
  + perl-base doesnot depend on perl; "AutoReq: noperl" switched off
- libperl.so* relocated to %_libdir
- soname changed: libperl.so.5 -> libperl.so.5.8
- use of inc_version_list mechanism is finally deprecated
- archlib name kept back to i386-linux
- debian *.ph fixer

* Sun Oct 06 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:5.8.0-alt0.2
- removed obsoleted Summary & description in KOI8-R encoding
- added Packager & URL tags
- repacked Source0 with bzip2

* Tue Oct 01 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.1
- 5.8.0
- revision of all patches
- general specfile cleanup
- builds now without AND with system-wide %name installation

* Sun May 19 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt17
- Synced with 5.6.1-41.99.6 (RedHat) and 5.601-14mdk (Mandrake)
- suidperl subpackage

* Fri Apr 05 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt16
- Thrown unwanted libraries out of libswanted
- Two more patches from RedHat
- Added /usr/bin/perl to the perl-base provides

* Sat Jan 05 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt15
- dbmclose-in-DESTROY patch

* Wed Nov 28 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt14
- Better solution of the previous problem: bail out if directories don't exist

* Mon Nov 26 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt13
- Create directories prior to cd'ing to them in the preinstall scripts

* Tue Nov 06 2001 Stanislav Ievlev <inger@altlinux.ru> 1:5.6.1-alt12
- fix Autoreq

* Sat Nov 03 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt11
- Parser patch from Gurusamy Sarathy (change #9950)

* Tue Oct 23 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt10
- Relocated linux/modsetver.ph to perl-base
- Refined perldoc patch
- BuildRequires cleanup

* Wed Oct 17 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt9
- Explicitly set inc_version_list

* Fri Oct 05 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt8
- Synchronized with 5.601-6mdk
- Added perldoc patch
- noperl in AutoReq

* Tue Jul 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.6.1-alt7
- Dropped symlinks to i386 arch-dependent directories for other ix86 arches
  because it breaks upgrade.

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.6.1-alt7
- Set explicit install order: %name-base, %name, %name-devel.
- Added preinstall scripts for somewhat better arch change.

* Sat Jul 14 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt6
- made symlinks to i386 arch-dependent directories for other ix86 arches
- removed sitelib directory from perl-base list

* Tue Jul 10 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt5
- set archname to i386-linux for ix86
- removed kernel dependency as it turns out to be circular

* Thu Jun 21 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt4
- Fixed soname

* Tue May 29 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt3
- Synchronized with 5.601-4mdk
- IMPORTANT: Removed version number part from privlib and archlib paths
  in order to make programs compiled with libperl.so using rpath
  immune to perl upgrades. Editing of ld.so.conf is abandoned.
  A (bare-)versioned soname is etched on libperl.so.
- Use installprefix and edit Config.pm as INSTALL recommends to do

* Wed Apr 18 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt2
- perl-base adds path to libperl.so to /etc/ld.so.conf on installation

* Fri Apr 13 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt1
- The long-awaited 5.6.1
- Changed release tag for ALT Linux Team
- Trying to eliminate dependency on i386 dirs
- Fixed LD_SO_PRELOAD in install stage

* Sun Dec 17 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-ipl3mdk
- synchronized with 5.600-24mdk
- Added:
  + ../site_perl/5.005/i386-linux as vendorarch
  + site_perl directory to the files list for perl-base

* Fri Dec  1 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-ipl2mdk
- brought the spec in conformance to the GPL (the General Party Line,
  not to be mixed with the GNU Public License)
- touch Config.pm to avoid unwanted rebuilds during install
- not using packages that used to be a source for .ph's not needed by Perl
  itself. This will be done in a separate package.
- eliminated build dependancy on the perl installed in the system
- added kernel version supporting 64-bit I/O to Requires
- added /boot/kernel.ph to Requires
- moved h2ph to the main package, since it is used to generate /boot/kernel.ph

* Sat Nov 25 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-ipl1mdk
- turned into an official Mandrake RE package
- old version set to 5.00600 to comply with automatic requires
- Russian groups and information
- packages listed to build *.ph files are made BuildRequires
- used _perl_lib_path macro to specify the Perl autodeps search path strictly

* Tue Nov 23 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-4mdk_mhz
- synchronized with 5.600-20mdk by pixel@mandrakesoft.com
- enabled 'uselargefiles' again, since the new kernel must support it
- removed redundant epoch 1 provides
- automatic dependency building for perl

* Mon Oct 16 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-3mdk_mhz
- -Uuselargefiles configuration option, for compatibility with Apache
  and workable fcntl($fd, F_SETLK, ...)

* Sun Oct  8 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-2mdk_mhz
- added %name = 1:%version in provides to work around an rpm flaw

* Sat Oct  7 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-1mdk_mhz
- versioning with epoch
- excluded *.bs files from perl.list

* Sun Sep  3 2000 Pixel <pixel@mandrakesoft.com> 5.600-17mdk
- also move warnings/register.pm
- fix silly error

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 5.600-16mdk
- move Glob.pm and dependencies to perl-base

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 5.600-15mdk
- fix filelist cleaning

* Wed Aug 23 2000 Pixel <pixel@mandrakesoft.com> 5.600-14mdk
- add Packager

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 5.600-13mdk
- move dir .../CORE to perl-base
- move lib.pm to perl-base (to make installkernel happy)

* Fri Aug 18 2000 Pixel <pixel@mandrakesoft.com> 5.600-12mdk
- fix-LD_RUN_PATH-for-MakeMaker

* Mon Aug  7 2000 Pixel <pixel@mandrakesoft.com> 5.600-11mdk
- fix the mailx `!~' (in case you're using the old mailx or a bug appears in
mailx...)

* Tue Jul 25 2000 Pixel <pixel@mandrakesoft.com> 5.600-10mdk
- move DynaLoader.a to -devel
- remove menu

* Sat Jul 22 2000 Pixel <pixel@mandrakesoft.com> 5.600-9mdk
- patch CGI.pm to have $TempFile::TMPDIRECTORY = '/tmp'

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 5.600-8mdk
- bad config.h

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 5.600-7mdk
- oups, devel was bad :-(

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 5.600-6mdk
- BM, macroization

* Fri May 19 2000 Franois Pons <fpons@mandrakesoft.com> 5.600-5mdk
- changed asm/*.h to asm*/*.h during .ph generation for sparc.

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 5.600-4mdk
- fix a bug causing missing .ph's

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 5.600-3mdk
- really add menu

* Mon Mar 27 2000 Pixel <pixel@mandrakesoft.com> 5.600-2mdk
- add menu

* Thu Mar 23 2000 Pixel <pixel@mandrakesoft.com> 5.600-1mdk
- change version number for backward compatibility :(
(serial is not enough, cuz there are some requires >= 5.00503)

* Thu Mar 23 2000 Pixel <pixel@mandrakesoft.com> 5.6.0-1mdk
- new version

* Tue Mar 21 2000 Pixel <pixel@mandrakesoft.com> 5.6-0.3mdk
- RC3

* Thu Mar 16 2000 Pixel <pixel@mandrakesoft.com> 5.6-0.2mdk
- RC2

* Thu Mar  9 2000 Pixel <pixel@mandrakesoft.com> 5.6-0.1mdk
- new version

* Wed Mar  1 2000 Pixel <pixel@mandrakesoft.com> 5.5.670-1mdk
- new version

* Thu Feb 24 2000 Pixel <pixel@mandrakesoft.com> 5.5.660-1mdk
- remove the strip'ing and man page bzip'ing
- new version

* Wed Feb  9 2000 Pixel <pixel@mandrakesoft.com> 5.5.650-1mdk
- new version

* Thu Feb  3 2000 Pixel <pixel@mandrakesoft.com> 5.5.640-6mdk
- new version (and new version numbering)

* Mon Jan 17 2000 Franois Pons <fpons@mandrakesoft.com>
- changed asm/*.h to asm*/*.h during .ph generation for sparc.

* Fri Dec 17 1999 Pixel <pixel@mandrakesoft.com>
- clean up
- fixed the reference to the egcs package

* Mon Nov 29 1999 Pixel <pixel@linux-mandrake.com>
- removed the `Provides: perl' in perl-base

* Mon Nov 22 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- changed i386 into ${RPM_ARCH}

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix forget manpages from %files.

* Thu Oct 14 1999 Pixel <pixel@linux-mandrake.com>
- create hackperl based on perl's spec
- split in two packages
- removed csh dependencie
- merged redhat's spec (not everything)

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- ln /usr/lib/perl5 to /usr/lib/perl5%current_version
- bzip2 manpages.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch from RedHat6.0.
- Update to 5.005_03

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- handle RPM_OPT_FLAGS
- add de locale

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- guilty of the inlined Makefile in the spec file
- adapted for the arm build

* Wed Sep 09 1998 Preston Brown <pbrown@redhat.com>
- added newer CGI.pm to the build
- changed the version naming scheme around to work with RPM

* Sun Jul 19 1998 Jeff Johnson <jbj@redhat.com>
- attempt to generate *.ph files reproducibly

* Mon Jun 15 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.004_04-m4 (pre-5.005 maintenance release)

* Tue Jun 12 1998 Christopher McCrory <chrismcc@netus.com
- need stdarg.h from gcc shadow to fix "use Sys::Syslog" (problem #635)

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to correct the .ph constructs unless defined (foo) to read
  unless(defined(foo))

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- fixed strftime problem

* Sun Mar 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to fix a security race
- do not use setres[ug]id - those are not implemented on 2.0.3x kernels

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 5.004_04 - 5.004_01 had some nasty memory leaks.
- fixed the spec file to be version-independent

* Fri Dec 05 1997 Erik Troan <ewt@redhat.com>
- Config.pm wasn't right do to the builtrooting

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- fixed arch-specfic part of spec file

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to perl 5.004_01
- users a build root

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Incorporated security patch from Chip Salzenberg <salzench@nielsenmedia.com>

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
- Use -Darchname=i386-linux
- Require csh (for glob)
- Use RPM_ARCH during configuration and installation for arch independence
